summaryrefslogtreecommitdiffstats
path: root/bin/release
diff options
context:
space:
mode:
authorlrknox <lrknox>2016-10-24 21:16:35 (GMT)
committerlrknox <lrknox>2016-10-24 21:16:35 (GMT)
commitcd0e92a64f68ed675ea33609edad9bff9a6b0820 (patch)
tree9aedbbecbce9cdfe294d4622afad947cf396b7a9 /bin/release
parentd834b7ab62aed1ca1160a595a63517969407e6f9 (diff)
downloadhdf5-cd0e92a64f68ed675ea33609edad9bff9a6b0820.zip
hdf5-cd0e92a64f68ed675ea33609edad9bff9a6b0820.tar.gz
hdf5-cd0e92a64f68ed675ea33609edad9bff9a6b0820.tar.bz2
Translate SVN commands and references to GIT.
Diffstat (limited to 'bin/release')
-rwxr-xr-xbin/release10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/release b/bin/release
index add2b39..d22ed75 100755
--- a/bin/release
+++ b/bin/release
@@ -171,7 +171,7 @@ release_date=`date +%F`
today=`date +%Y%m%d`
pmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -291,7 +291,7 @@ done
# trunk is different than branches.
if [ "${DOCVERSION}" ]; then
- DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/branches/${DOCVERSION}
+ DOC_URL="$DOC_URL -b ${DOCVERSION}"
fi
# Create the tar file
@@ -328,11 +328,11 @@ for comp in $methods; do
;;
doc)
if [ "${DOCVERSION}" = "" ]; then
- DOCVERSION=trunk
+ DOCVERSION=master
fi
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version